# List credit memo items Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all items of a credit memo. A credit memo item is a single line item in a credit memo. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null. Examples: - /v1/credit-memos/402890245c7ca371015c7cb40ac30015/items?amount=100 - /v1/credit-memos/402890245c7ca371015c7cb40ac30015/items?amount=100&sort=createdDate Endpoint: GET /v1/credit-memos/{creditMemoKey}/items Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `amount` (number) This parameter filters the response based on the amount field. - `appliedAmount` (number) This parameter filters the response based on the appliedAmount field. - `createdById` (string) This parameter filters the response based on the createdById field. - `createdDate` (string) This parameter filters the response based on the createdDate field. - `id` (string) This parameter filters the response based on the id field. - `refundAmount` (number) This parameter filters the response based on the refundAmount field. - `serviceEndDate` (string) This parameter filters the response based on the serviceEndDate field. - `serviceStartDate` (string) This parameter filters the response based on the serviceStartDate field. - `sku` (string) This parameter filters the response based on the sku field. - `skuName` (string) This parameter filters the response based on the skuName field. - `sourceItemId` (string) This parameter filters the response based on the sourceItemId field. - `subscriptionId` (string) This parameter filters the response based on the subscriptionId field. - `updatedById` (string) This parameter filters the response based on the updatedById field. - `updatedDate` (string) This parameter filters the response based on the updatedDate field. - `sort` (string) This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: operator field_name You can use at most two sortable fields in one URL path. Use a comma to separate sortable fields. For example: operator field_name, operator field_name operator is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The - operator indicates an ascending order. - The + operator indicates a descending order. By default, the response data is displayed in descending order by updated date. field_name indicates the name of a sortable field. The supported sortable fields of this operation are as below: - amount - appliedAmount - createdById - createdDate - id - refundAmount - serviceEndDate - serviceStartDate - sku - skuName - sourceItemId - subscriptionId - updatedById - updatedDate Examples: - /v1/credit-memos/402890245c7ca371015c7cb40ac30015/items?sort=createdDate - /v1/credit-memos/402890245c7ca371015c7cb40ac30015/items?amount=100&sort=createdDate ## Path parameters: - `creditMemoKey` (string, required) The unique ID or number of a credit memo. For example, 8a8082e65b27f6c3015ba45ff82c7172 or CM00000001. ## Response 200 fields (application/json): - `items` (array) Container for credit memo items. - `items.amount` (number) The amount of the credit memo item. For tax-inclusive credit memo items, the amount indicates the credit memo item amount including tax. For tax-exclusive credit memo items, the amount indicates the credit memo item amount excluding tax. - `items.amountWithoutTax` (number) The credit memo item amount excluding tax. - `items.appliedAmount` (number) The applied amount of the credit memo item. - `items.appliedToItemId` (string) The unique ID of the credit memo item that the discount charge is applied to. - `items.commitmentId` (string) The ID of the commitment. - `items.commitmentPeriodId` (string) The ID of the commitment period. - `items.createdById` (string) The ID of the Zuora user who created the credit memo item. - `items.createdDate` (string) The date and time when the credit memo item was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `items.creditFromItemId` (string) The ID of the credit from item. - `items.creditFromItemSource` (string) The type of the credit from item. Enum: "InvoiceItem", "CreditMemoItem" - `items.description` (string) The description of the credit memo item. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 257.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `items.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the credit memo item from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `items.financeInformation` (object) Container for the finance information related to the credit memo item. - `items.financeInformation.deferredRevenueAccountingCode` (string) The accounting code for the deferred revenue, such as Monthly Recurring Liability. - `items.financeInformation.deferredRevenueAccountingCodeType` (string) The type of the deferred revenue accounting code, such as Deferred Revenue. - `items.financeInformation.nonRevenueWriteOffAccountingCode` (string) Specify the accounting code for the non revenue write off. Available only if revenueImpacting = no. - `items.financeInformation.nonRevenueWriteOffAccountingCodeType` (string) Specify the accounting code type for the non revenue write off. - `items.financeInformation.onAccountAccountingCode` (string) The accounting code that maps to an on account in your accounting system. - `items.financeInformation.onAccountAccountingCodeType` (string) The type of the accounting code that maps to an on account in your accounting system. - `items.financeInformation.recognizedRevenueAccountingCode` (string) The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges. - `items.financeInformation.recognizedRevenueAccountingCodeType` (string) The type of the recognized revenue accounting code, such as Sales Revenue or Sales Discount. - `items.financeInformation.revenueRecognitionRuleName` (string) The name of the revenue recognition rule governing the revenue schedule. - `items.financeInformation.revenueScheduleNumber` (string) Revenue schedule number. The revenue schedule number is always prefixed with "RS", for example, RS-00000001. - `items.id` (string) The ID of the credit memo item. - `items.invoiceScheduleId` (string) The ID of the invoice schedule associated with the credit memo item. Note: This field is available only if you have the Billing Schedule feature enabled. - `items.invoiceScheduleItemId` (string) The ID of the invoice schedule item associated with the credit memo item. The credit memo item is generated during the processing of the invoice schedule item. Note: This field is available only if you have the Billing Schedule feature enabled. - `items.numberOfDeliveries` (number) The number of deliveries dedicated to the Delivery Pricing charges. The value might be different, as follows: - For the credit memo generated by a bill run, this field has a value. - For the credit memo generated from an invoice, this field is blank. Note: This field is available only if you have the Delivery Pricing feature enabled. - `items.processingType` (string) The kind of the charge for the credit memo item. Its possible values are Charge and Discount. - `items.quantity` (number) The number of units for the credit memo item. - `items.reflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set the excludeItemBillingFromRevenueAccounting field to true. * If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true. - `items.refundAmount` (number) The amount of the refund on the credit memo item. - `items.revenueImpacting` (string) Indicates whether this write off operation impacts the revenue. If revenueImpacting = Yes, the deferred revenue accounting code will be automatically selected from the associated invoice If revenueImpacting = No, users can select an accounting code such as bad-debt expense accounting code for the write off operation. Enum: "Yes", "No" - `items.serviceEndDate` (string) The service end date of the credit memo item. - `items.serviceStartDate` (string) The service start date of the credit memo item. - `items.sku` (string) The SKU for the product associated with the credit memo item. - `items.skuName` (string) The name of the SKU. - `items.shipToContactId` (string) The ID of the ship-to contact associated with the credit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `items.soldToContactId` (string) The ID of the sold-to contact associated with the credit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `items.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the credit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `items.sourceItemId` (string) The ID of the source item. - If the value of the sourceItemType field is SubscriptionComponent , the value of this field is the ID of the corresponding rate plan charge. - If the value of the sourceItemType field is InvoiceDetail, the value of this field is the ID of the corresponding invoice item. - If the value of the sourceItemType field is ProductRatePlanCharge , the value of this field is the ID of the corresponding product rate plan charge. - If the value of the sourceItemType field is OrderLineItem , the value of this field is the ID of the corresponding return order line item. - `items.sourceItemType` (string) The type of the source item. - If a credit memo is not created from an invoice or a product rate plan charge or a return order line item, the value of this field is SubscriptionComponent. - If a credit memo is created from an invoice, the value of this field is InvoiceDetail. - If a credit memo is created from a product rate plan charge, the value of this field is ProductRatePlanCharge. - If a credit memo is created from a return order line item, the value of this field is OrderLineItem. Enum: "SubscriptionComponent", "InvoiceDetail", "ProductRatePlanCharge", "OrderLineItem" - `items.subscriptionId` (string) The ID of the subscription associated with the credit memo item. - `items.taxMode` (string) The tax mode of the credit memo item, indicating whether the amount of the credit memo item includes tax. Enum: "TaxExclusive", "TaxInclusive" - `items.taxationItems` (object) Container for the taxation items of the credit memo item. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 239.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `items.taxationItems.data` (array) List of taxation items. - `items.taxationItems.data.appliedAmount` (number) The applied amount of the taxation item. - `items.taxationItems.data.exemptAmount` (number) The calculated tax amount excluded due to the exemption. - `items.taxationItems.data.financeInformation` (object) Container for the finance information related to the taxation item. - `items.taxationItems.data.financeInformation.salesTaxPayableAccountingCode` (string,null) The accounting code for the sales taxes payable. - `items.taxationItems.data.financeInformation.salesTaxPayableAccountingCodeType` (string,null) The type of the accounting code for the sales taxes payable. - `items.taxationItems.data.id` (string) The ID of the taxation item. - `items.taxationItems.data.jurisdiction` (string) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `items.taxationItems.data.locationCode` (string) The identifier for the location based on the value of the taxCode field. - `items.taxationItems.data.name` (string) The name of the taxation item. - `items.taxationItems.data.refundAmount` (number) The amount of the refund on the taxation item. - `items.taxationItems.data.sourceTaxItemId` (string,null) The ID of the source taxation item. - `items.taxationItems.data.taxAmount` (number) The amount of taxation. - `items.taxationItems.data.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific credit memo. - `items.taxationItems.data.taxCodeDescription` (string) The description of the tax code. - `items.taxationItems.data.taxDate` (string) The date that the tax is applied to the credit memo, in yyyy-mm-dd format. - `items.taxationItems.data.taxRate` (number) The tax rate applied to the credit memo. - `items.taxationItems.data.taxRateDescription` (string) The description of the tax rate. - `items.taxationItems.data.taxRateType` (string) The type of the tax rate. Enum: "Percentage", "FlatFee" - `items.taxationItems.data.unappliedAmount` (number) The unapplied amount of the taxation item. - `items.taxationItems.nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `items.unappliedAmount` (number) The unapplied amount of the credit memo item. - `items.unitOfMeasure` (string) The units to measure usage. - `items.unitPrice` (number) The per-unit price of the credit memo item. - `items.updatedById` (string) The ID of the Zuora user who last updated the credit memo item. - `items.updatedDate` (string) The date and time when the credit memo item was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.